import request from '@/utils/request'

// 查询专业线0分更新列表
export function listPdProfessionVersion0Update(query) {
  return request({
    url: '/processdata/pdProfessionVersion0Update/list',
    method: 'get',
    params: query
  })
}

// 查询专业线0分更新详细
export function getPdProfessionVersion0Update(id) {
  return request({
    url: '/processdata/pdProfessionVersion0Update/' + id,
    method: 'get'
  })
}

// 新增专业线0分更新
export function addPdProfessionVersion0Update(data) {
  return request({
    url: '/processdata/pdProfessionVersion0Update',
    method: 'post',
    data: data
  })
}

// 修改专业线0分更新
export function updatePdProfessionVersion0Update(data) {
  return request({
    url: '/processdata/pdProfessionVersion0Update',
    method: 'put',
    data: data
  })
}

// 删除专业线0分更新
export function delPdProfessionVersion0Update(id) {
  return request({
    url: '/processdata/pdProfessionVersion0Update/' + id,
    method: 'delete'
  })
}

export function sendData2Test(data) {
  return request({
    url: '/processDataTest/sendData2Test',
    method: 'get',
    params: data,
    timeout: 5*60*1000 // 5 minutes
  })
}

